//  color2.cs- Using an enumeration that sets values
//             Note: Entering a non-numeric number when running this 
//                   program will cause an exception to be thrown.
//--------------------------------------------------------------------

using System;

class myApp
{
   enum Color
   {
       red = 10,
       white = 20, 
       blue = 30
   }

   public static void Main()
   {
      string buffer;
      Color myColor;

      Console.Write("Enter a value for a color: 10 = Red, 20 = White, 30 = Blue): ");
      buffer = Console.ReadLine();

      myColor = (Color) Convert.ToInt32(buffer);

      switch( myColor )
      {
         case Color.red:   
             System.Console.WriteLine("\nSwitched to Red...");
             break;
         case Color.white:   
             System.Console.WriteLine("\nSwitched to White...");
             break;
         case Color.blue:   
             System.Console.WriteLine("\nSwitched to Blue...");
             break;
         default:
             System.Console.WriteLine("\nSwitched to default...");
             break;
      }

      System.Console.WriteLine("\nColor is {0} ({1} is a {2})", myColor, (int) myColor, myColor.GetTypeCode());
   }
}
