//  addem.cs - Using a variable number of arguments
//--------------------------------------------------------------------

using System;

public class AddEm
{
    public static long Add( params int[] args )
    {
       int ctr = 0;
       long Total = 0;

       for( ctr = 0; ctr < args.Length; ctr++)
       {
          Total += args[ctr];
       }
       return Total;
    }
}

class MyApp
{
   public static void Main()
   {
      long Total = 0;

      Total = AddEm.Add( 1 );
      Console.WriteLine("Total of (1) = {0}", Total);

      Total = AddEm.Add( 1, 2 );
      Console.WriteLine("Total of (1, 2) = {0}", Total);

      Total = AddEm.Add( 1, 2, 3 );
      Console.WriteLine("Total of (1, 2, 3) = {0}", Total);

      Total = AddEm.Add( 1, 2, 3, 4 );
      Console.WriteLine("Total of (1, 2, 3, 4) = {0}", Total);
   }
}
