//  indexer.cs - Using an indexer
//--------------------------------------------------------------------

using System;

public class SimpleClass
{
    int[] numbers;

    public SimpleClass(int size)
    {
       numbers = new int[size];           // declare size elements
       for ( int x = 0; x < size; x++ )   // initialize values to 0.
           numbers[x] = 0;   
    }

    public int this[int index]
    {
        get
        {
             return numbers[index];
        }
        set
        {
             numbers[index] = value;
        }
    }    
}

public class TestApp
{
   public static void Main()
   {
      int size = 10;
      SimpleClass myObj = new SimpleClass(size);

      for ( int x = 0; x < size; x++ )
          myObj[x] = x * x;

      for ( int x = 0; x < size; x++ )
         Console.WriteLine("Ctr: {0}, Value {1}", x, myObj[x]);

   }
}
