// cntrl1b.cs - Working with controls
//--------------------------------------------------------------------

using System;
using System.Windows.Forms;
using System.Drawing;

public class frmApp : Form
{
   public frmApp()
   {
      InitializeComponent();
   }    

   private void InitializeComponent()
   {
       this.Text = Environment.CommandLine;
       this.StartPosition = FormStartPosition.CenterScreen;

       // Create the controls...
       Label myDateLabel = new Label();
       Label myLabel = new Label(); 

       myLabel.Text = "This program was executed at:";
       myLabel.AutoSize = true;
       myLabel.Left = 50;
       myLabel.Top = 20;

       DateTime currDate = new DateTime();
       currDate = DateTime.Now;
       myDateLabel.Text = currDate.ToString();

       myDateLabel.AutoSize = true;
       myDateLabel.Left = 50 + myLabel.PreferredWidth + 10;
       myDateLabel.Top = 20;

       this.Width = myLabel.PreferredWidth + myDateLabel.PreferredWidth + 110;
       this.Height = myLabel.PreferredHeight+ 100;  

       // Add the control to the form...
       this.Controls.Add(myDateLabel);
       this.Controls.Add(myLabel);
   }

   public static void Main( string[] args )
   {
      Application.Run( new frmApp() );
   }
}
