// form1.cs - forms
//--------------------------------------------------------------



//// HAVEN'T STARTED WRITING THIS YET.


using System;
using System.Windows.Forms;
using System.Drawing;

public class frmApp : Form
{
   private Label myDateLabel;
   private MainMenu myMainMenu;

   public frmApp()
   {
      InitializeComponent();
   }    

   private void InitializeComponent()
   {
      this.Text = "STY Menus";
      this.StartPosition = FormStartPosition.CenterScreen;
      this.FormBorderStyle = FormBorderStyle.Fixed3D;

      myDateLabel = new Label();      // Create label

      DateTime currDate = new DateTime();
      currDate = DateTime.Now;
      myDateLabel.Text = currDate.ToString();

      myDateLabel.AutoSize = true;
      myDateLabel.Location = new Point( 50, 70);
      myDateLabel.BackColor = this.BackColor;

      this.Controls.Add(myDateLabel);  // Add label to form

      // Set width of form based on Label's width
      this.Width = (myDateLabel.PreferredWidth + 100);

      myMainMenu = new MainMenu();
      
      MenuItem menuitemFile = myMainMenu.MenuItems.Add("&File");
      menuitemFile.MenuItems.Add(new MenuItem("Update Date", 
                                 new EventHandler(this.MenuUpdate_Selection)));
      menuitemFile.MenuItems.Add(new MenuItem("Exit",
                                 new EventHandler(this.FileExit_Selection)));
      this.Menu = myMainMenu;
   }

   protected void MenuUpdate_Selection( object sender, System.EventArgs e )
   {
       DateTime currDate = new DateTime();
       currDate = DateTime.Now;
       this.myDateLabel.Text = currDate.ToString();
   }
   protected void FileExit_Selection( object sender, System.EventArgs e )
   {
      this.Close();
   }

   public static void Main( string[] args )
   {
      Application.Run( new frmApp() );
   }
}
