//  Ex20-05.cs - Overloading      
//----------------------------------------------------

using System;
using System.Text;

public class Salary
{
   private int AMT;

   public Salary() { this.amount = 0; }
   public Salary(int val) { this.amount = val; }

   public int amount 
   {
      get{ return this.AMT; }
      set{ this.AMT = value; }
   }

   public override bool Equals(object val)
   {
      bool retval;

      if( ((Salary)val).amount == this.amount )
         retval = true;
      else
         retval = false;
         
      return retval;
   }

   public override int GetHashCode()
   {
      return this.ToString().GetHashCode();
   }

   static public bool operator == ( Salary first, Salary second )
   {
      bool retval;

      retval = first.Equals(second);

      return retval;
   }
   static public bool operator == ( Salary first, int second )
   {
      bool retval;

      if (first.amount == second)
         retval = true;
      else
         retval = false;

      return retval;
   }
   static public bool operator == ( Salary first, long second )
   {
      bool retval;

      if ((long)first.amount == second)
         retval = true;
      else
         retval = false;

      return retval;
   }

   static public bool operator != ( Salary first, Salary second )
   {
      bool retval;

      retval = !(first.Equals(second));

      return retval;
   }
   static public bool operator != ( Salary first, int second )
   {
      bool retval;

      if (first.amount != second)
         retval = true;
      else
         retval = false;

      return retval;
   }
   static public bool operator != ( Salary first, long second )
   {
      bool retval;

      if ((long)first.amount != second)
         retval = true;
      else
         retval = false;

      return retval;
   }

   public override string ToString()
   {
      return( this.amount.ToString() );
   }

}          

public class myAppClass
{
   public static void Main(String[] args)
   {
      string tmpstring;

      Salary mySalary   = new Salary(24000);
      Salary yourSalary = new Salary(24000);
      Salary PresSalary = new Salary(200000);
      int IntSalary  = 30000;
      int IntSalary2 = 24000;
      long LongSalary = 30000L;
      long LongSalary2 = 24000L;

      Console.WriteLine("Original values: {0}, {1}, {2}",
          mySalary, yourSalary, PresSalary);

      if (mySalary == IntSalary)
         tmpstring = "equals";
      else
         tmpstring = "does not equal";
         
      Console.WriteLine("\nMy salary ({0}) {1} IntSalary ({2})",
                   mySalary, tmpstring, IntSalary );

      if (mySalary == IntSalary2)
         tmpstring = "equals";
      else
         tmpstring = "does not equal";
         
      Console.WriteLine("\nMy salary ({0}) {1} IntSalary2 ({2})",
                   mySalary, tmpstring, IntSalary2 );

      if (mySalary == LongSalary)
         tmpstring = "equals";
      else
         tmpstring = "does not equal";
         
      Console.WriteLine("\nMy salary ({0}) {1} LongSalary ({2})",
                   mySalary, tmpstring, LongSalary );

      if (mySalary == LongSalary2)
         tmpstring = "equals";
      else
         tmpstring = "does not equal";
         
      Console.WriteLine("\nMy salary ({0}) {1} LongSalary2 ({2})",
                   mySalary, tmpstring, LongSalary2 );


   }
}
