using System;
using System.Reflection;

class Mymemberinfo
{
   public static int Main()
   {
      //Get the Type and MemberInfo.
      string testclass = "System.Reflection.PropertyInfo"; 

      Console.WriteLine ("\nFollowing is the member info for class: {0}",
                                         testclass);

      Type MyType = Type.GetType(testclass);

      MemberInfo[] Mymemberinfoarray = MyType.GetMembers();
  
      //Get the MemberType method and display the elements

      Console.WriteLine("\nThere are {0} members in {1}",
              Mymemberinfoarray.GetLength(0),
              MyType.FullName);
 
      for ( int counter = 0;
            counter < Mymemberinfoarray.GetLength(0);
            counter++ )
      {
         Console.WriteLine( "{0}. {1} Member type - {2}",
                 counter,
                 Mymemberinfoarray[counter].Name,
                 Mymemberinfoarray[counter].MemberType.ToString());
      }
      return 0;
   }
 }
