//  score2.cs- Using a array to find the score for a class (Ex 8.5)
//--------------------------------------------------------------------

using System;

public class ClassScore
{
   public static void Main()
   {
      // Set up array to hold 30 scores...
      int [,] scores = new int[15,30];
      // Create a total variable for calculations....
      int ttl = 0;
      int testTotal = 0;

      // Set up random variable...
      System.Random rnd = new System.Random();

      Console.Write("Initializing scores.");

      // set random scores into array...
      for ( int test = 0; test < 15; test++ )
      {
         // Loop through students for each test...
         for( int student = 0; student < 30; student++ )
         {
             scores[test,student] = (int) ((rnd.NextDouble() * 100) + 1);
             Console.Write(".");
         }
      }
      Console.WriteLine("...done.\n");

      //Loop through each test...
      for( int test = 0; test < 15; test++ )
      {
         testTotal = 0;   // set total accumulator to zero for a new test.
         for( int student = 0; student < 30; student++ )
         {
//             Console.WriteLine("Student {0} score: {1}", student+1, scores[test,student]);
             testTotal += scores[test,student];             
         } 
         // print out average test score...
         Console.WriteLine("Average score for test {0} is {1}", test+1, testTotal/30);
         ttl += testTotal;  // Add test total to overall total
      }    
      Console.WriteLine("======================================");
      Console.WriteLine("Average score for all tests = {0}", (ttl/(15*30)));
   }
}
