// strbuilder.cs - String Builder
//-----------------------------------------------
using System;
using System.Text;     //For StringBuilder

class buildName
{
  public static void Main()
  {
     StringBuilder name = new StringBuilder();
     string buffer;
     int marker = 0;

     Console.Write("\nEnter your first name: ");
     buffer = Console.ReadLine();

     if ( buffer != null )
     { 
       name.Append(buffer);
       marker = name.Length;
     }

     Console.Write("\nEnter your last name: ");
     buffer = Console.ReadLine();
     
     if ( buffer != null )
     { 
       name.Append(" ");
       name.Append(buffer);
     }

     Console.Write("\nEnter your middle name: ");
     buffer = Console.ReadLine();
     
     if ( buffer != null )
     { 
       name.Insert(marker+1, buffer);
       name.Insert(marker+buffer.Length+1, " ");
     }

     Console.WriteLine("\n\nFull name: {0}", name);  
   
     // Some stats....
     Console.WriteLine("\n\nInfo about StringBuilder string:");
     Console.WriteLine("value: {0}", name);
     Console.WriteLine("Capacity: {0}", name.Capacity);
     Console.WriteLine("Maximum Capacity: {0}", name.MaxCapacity);
     Console.WriteLine("Length: {0}", name.Length);
   }
}
