//  rect.cs - Exercise 13.4.
//--------------------------------------------------------------------

using System;

public interface IShape
{
   double Area();
   double Circumference();
   int    Sides();
}

public class Rectangle : IShape
{
   public int width;
   public int length;

   public double Area()  
   {
      return (double) width * length;
   }

   public double Circumference()
   {
       return ((double) ((2 * width) + (2 * length)));
   }

   public int Sides()
   {
       return 4;
   }

   public Rectangle()
   {
      width = 0;
      length = 0;
   }
}

public class myApp
{
   public static void Main()
   {
      Rectangle rect = new Rectangle();
      rect.width = 11;
      rect.length = 4;

      Console.WriteLine("Displaying Rectangle information:");
      displayInfo(rect);
      Console.WriteLine("Width: {0}", rect.width);
      Console.WriteLine("Length: {0}", rect.length);
      
      for( int L = 0; L < rect.length; L++ )
      {
         Console.Write("\n");
         for( int w = 0; w < rect.width; w++ )
         {
            Console.Write("X");
         }
      }
      Console.WriteLine("\n");
   }

   static void displayInfo( IShape myShape )
   {
       Console.WriteLine("Area: {0}", myShape.Area());
       Console.WriteLine("Sides: {0}", myShape.Sides());
       Console.WriteLine("Circumference: {0}", myShape.Circumference());
   }
}
