//  indx2b.cs - Using an array instead of an indexer
//--------------------------------------------------------------------

using System;

public class SpellingList
{
    public string[] words = new string[size];
    static public int size = 10;

    public SpellingList()
    {
        for (int x = 0; x < size; x++ )
            words[x] = String.Format("Word{0}", x);      
    }
}

public class TestApp
{
   public static void Main()
   {
      SpellingList myList = new SpellingList();

      myList.words[3] = "=====";
      myList.words[4] = "Brad";
      myList.words[5] = "was";
      myList.words[6] = "Here!";
      myList.words[7] = "=====";

      for ( int x = 0; x < SpellingList.size; x++ )
          Console.WriteLine(myList.words[x]);
   }
}
