//  reading.cs - Read text from a file.  
//  Exception handling left out to keep listing short.
//----------------------------------------------------
using System;
using System.IO;

public class ReadingApp
{
   public static void Main(String[] args)
   {
      if( args.Length < 1 )
      {
          Console.WriteLine("Must include file name.");
      }
      else
      {
         string buffer;

         StreamReader myFile = File.OpenText(args[0]);

         while ( (buffer = myFile.ReadLine()) != null )
         {
             Console.WriteLine(buffer);
         }

         myFile.Close();
      }
   }
}
