//  writing.cs - Writing to a text file.  
//  Exception handling left out to keep listing short.
//----------------------------------------------------
using System;
using System.IO;

public class WritingApp
{
   public static void Main(String[] args)
   {
      if( args.Length < 1 )
      {
          Console.WriteLine("Must include file name.");
      }
      else
      {
         StreamWriter myFile = File.CreateText(args[0]);

         myFile.WriteLine("Mary Had a Little Lamb,");
         myFile.WriteLine("Whose Fleece Was White as Snow.");
      
         for ( int ctr = 0; ctr < 10; ctr++ )
            myFile.WriteLine ("{0}", ctr);

         myFile.WriteLine("Everywhere that Mary Went,");
         myFile.WriteLine("That Lamb was sure to go.");

         myFile.Close();
      }
   }
}
