// form4.cs - Form Backgrounds
//--------------------------------------------------------------------

using System.Windows.Forms;
using System.Drawing;

public class frmApp : Form
{
    public static void Main( string[] args )
    {
       frmApp myForm = new frmApp();
       myForm.BackColor = Color.HotPink;
       myForm.Text = "Form4 - Backgrounds";

       if (args.Length >= 1)
       {
          myForm.BackgroundImage = Image.FromFile(args[0]);

          Size tmpSize = new Size();
          tmpSize.Width = myForm.BackgroundImage.Width;
          tmpSize.Height = myForm.BackgroundImage.Height;
          myForm.ClientSize = tmpSize;

          myForm.Text = "Form4 - " + args[0];
       }

       Application.Run(myForm);
    }
}
