//  Ex20-02.cs - Overloading an operator
//----------------------------------------------------

using System;

public class AChar
{
   private char CH;

   public AChar() { this.CH = ' '; }
   public AChar(char val) { this.CH = val; }

   public char ch 
   {
      get{ return this.CH; }
      set{ this.CH = value; }
   }

   static public AChar operator+ ( AChar orig, int val )
   {
      AChar result = new AChar();
      result.ch = (char)(orig.ch + val);
      return result;
   }
   static public AChar operator- ( AChar orig, int val )
   {
      AChar result = new AChar();
      result.ch = (char)(orig.ch - val);
      return result;
   }
   // Following added for exercise:
   static public int operator- ( AChar first, AChar second )
   {
      int result;
      result = first.ch - second.ch;
      return result;
   }
}

public class myAppClass
{
   public static void Main(String[] args)
   {
      AChar aaa = new AChar('a');
      AChar bbb = new AChar('b');

      Console.WriteLine("Original value: {0}, {1}", aaa.ch, bbb.ch);
      Console.WriteLine("Difference between {0} and {1} is {2}",
                         aaa.ch, bbb.ch, (aaa - bbb));

      aaa = aaa + 25; 
      bbb = bbb - 1;

      Console.WriteLine("Final values: {0}, {1}", aaa.ch, bbb.ch);
      Console.WriteLine("Difference between {0} and {1} is {2}",
                         aaa.ch, bbb.ch, (aaa - bbb));
   }
}
