//  over1b.cs - Using methods for mathematic operations
//------------------------------------------------------

using System;

public class AChar
{
   private char CH;

   public AChar() { this.CH = ' '; }
   public AChar(char val) { this.CH = val; }

   public char ch 
   {
      get{ return this.CH; }
      set{ this.CH = value; }
   }

   static public AChar Add ( AChar orig, int val )
   {
      AChar result = new AChar();
      result.ch = (char)(orig.ch + val);
      return result;
   }
   static public AChar Subtract ( AChar orig, int val )
   {
      AChar result = new AChar();
      result.ch = (char)(orig.ch - val);
      return result;
   }
}

public class myAppClass
{
   public static void Main(String[] args)
   {
      AChar aaa = new AChar('a');
      AChar bbb = new AChar('b');

      Console.WriteLine("Original value: {0}, {1}", aaa.ch, bbb.ch);

      aaa = AChar.Add( aaa, 3 );
      bbb = AChar.Subtract( bbb, 1 );

      Console.WriteLine("Final values: {0}, {1}", aaa.ch, bbb.ch);
   }
}
