using System;

[AttributeUsage(AttributeTargets.All)]
public class CodeStatusAttribute : System.Attribute
{
   private string STATUS;
   private string TESTER;
   private string CODER;

   public CodeStatusAttribute( string Status )
   {
      this.STATUS = Status;
   }

   public string Tester
   {
      set 
      {
         TESTER = value;
      }
      get
      {
          return TESTER;
      }
   }

   public string Coder
   {
      set 
      {
         CODER = value;
      }
      get
      {
         return CODER;
      }
   }
   
   public override string ToString()
   {
      return STATUS;
   }
}
